tigase.jaxmpp.core.client.eventbus

## Class JaxmppEventWithCallback<H extends EventHandler>

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<H>
    - - tigase.jaxmpp.core.client.eventbus.JaxmppEventWithCallback<H>

- Direct Known Subclasses:
    PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent

      public abstract class JaxmppEventWithCallback<H extends EventHandler>
      extends JaxmppEvent<H>

  Created by andrzej on 02.11.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JaxmppEventWithCallback.RunAfter<E>`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JaxmppEventWithCallback(SessionObject sessionObject, JaxmppEventWithCallback.RunAfter<? extends JaxmppEventWithCallback> runAfter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JaxmppEventWithCallback.RunAfter<? extends JaxmppEventWithCallback>` | `getRunAfter()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `dispatch, getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxmppEventWithCallback

          protected JaxmppEventWithCallback(SessionObject sessionObject,
                                            JaxmppEventWithCallback.RunAfter<? extends JaxmppEventWithCallback> runAfter)

  - ### Method Detail

    - #### getRunAfter

          public JaxmppEventWithCallback.RunAfter<? extends JaxmppEventWithCallback> getRunAfter()

Copyright © 2006–2022 Tigase. All rights reserved.